> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/reference/special_functions/map_value.md).

# map\_value

`map_value(valuemappingset_name: str, value:Any) -> str`

Applies a Value Mapping Set to a provided value. This performs the same operation as when the Value Mapping column is specified on a field mapping.

When possible, the Value Mapping column should be used instead of `map_value`within an integration hook.

{% hint style="warning" %}
The value mapping set must be connected to the current integration.
{% endhint %}

```python
#
# Assuming the following exist:
#
# valuemappingset: 'SAMPLEVMS'
# valuemapping:
#     From: 'Testing inputs'
#     To: 'new output'

input.payload.test = 'Testing inputs'
map_value('SAMPLEVMS', input.payload.test)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/special_functions/map_value.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
